All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.search
Class ExtendedAttributesFilter

    com.sas.services.information.search.ExtendedAttributesFilter

All Implemented Interfaces:
  SearchFilter, java.io.Serializable

    public class ExtendedAttributesFilter

implements SearchFilter, java.io.Serializable

The ExtendedAttributesFilter class is used to filter or search for objects by their associated extended attributes.

See Also:
  Serialized Form

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` | `_extensions`
`protected static java.lang.String` | `ATTRIBUTE_NAME`
`protected static java.lang.String` | `ATTRIBUTE_VALUE`
`protected static java.lang.String` | `EXTENSIONS_ASSOCIATION_NAME`
`protected static java.lang.String` | `EXTENSIONS_ASSOCIATION_TYPE`

Constructor Summary
`ExtendedAttributesFilter(java.util.Map<java.lang.String,java.lang.String> extensions)` Constructs a new extended attributes filter that allows objects to be searched their associated extended attributes.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Map<java.lang.String,java.lang.String>` | `getExtendedAttributes()` Returns the extended attributes being searched for
`FilterComponent` | `getFilterComponent()` Returns the filter component used for processing this search criteria
`java.lang.String` | `getFilterDescription()` Returns the description of this filter.
`java.lang.String` | `getFilterType()` Returns the localized name of this filter.

Field Detail

### EXTENSIONS_ASSOCIATION_NAME

    protected static final java.lang.String EXTENSIONS_ASSOCIATION_NAME

See Also:
  Constant Field Values

### EXTENSIONS_ASSOCIATION_TYPE

    protected static final java.lang.String EXTENSIONS_ASSOCIATION_TYPE

See Also:
  Constant Field Values

### ATTRIBUTE_VALUE

    protected static final java.lang.String ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### ATTRIBUTE_NAME

    protected static final java.lang.String ATTRIBUTE_NAME

See Also:
  Constant Field Values

### _extensions

    protected java.util.Map<java.lang.String,java.lang.String> _extensions

Constructor Detail

### ExtendedAttributesFilter

    public ExtendedAttributesFilter(java.util.Map<java.lang.String,java.lang.String> extensions)

  Constructs a new extended attributes filter that allows objects to be searched their associated extended attributes.

  Parameters:
    `extensions` -

Method Detail

### getFilterType

    public java.lang.String getFilterType()

  Description copied from interface: `SearchFilter`
  Returns the localized name of this filter. This method is typically used to help identify to the user what type of search is being performed. For instance, a name search, or a type search.

  Specified by:
    `getFilterType` in interface `SearchFilter`
  Returns:
    filter type

### getFilterDescription

    public java.lang.String getFilterDescription()

  Description copied from interface: `SearchFilter`
  Returns the description of this filter. This description is typically used for display purposes, or a log file, to inform the user what the intention of this filter is.

  Specified by:
    `getFilterDescription` in interface `SearchFilter`
  Returns:
    the filter description

### getExtendedAttributes

    public java.util.Map<java.lang.String,java.lang.String> getExtendedAttributes()

  Returns the extended attributes being searched for

  Returns:
    extended attributes

### getFilterComponent

    public FilterComponent getFilterComponent()

  Description copied from interface: `SearchFilter`
  Returns the filter component used for processing this search criteria

  Specified by:
    `getFilterComponent` in interface `SearchFilter`
  Returns:
    filter component

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.